%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                jboss-jsf-2.1-api
Version:             2.1.29.1
Release:             1
Summary:             JavaServer Faces 2.1 API
License:             CDDL or GPLv2 with exceptions
URL:                 http://www.jboss.org
Source0:             https://github.com/jboss/jboss-jsf-api_spec/archive/jboss-jsf-api_2.1_spec-%{namedversion}.tar.gz
Patch0:              %{name}-fix-fsf-address.patch
BuildRequires:       mvn(javax.validation:validation-api) mvn(org.jboss:jboss-parent:pom:)
BuildRequires:       mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
BuildRequires:       mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.2_spec)
BuildRequires:       mvn(org.jboss.spec.javax.servlet.jstl:jboss-jstl-api_1.2_spec) maven-local
BuildRequires:       maven-plugin-bundle objenesis
BuildArch:           noarch
%description
JavaServer Faces API classes based on Version 2.1 of Specification.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jsf-api_spec-jboss-jsf-api_2.1_spec-%{namedversion}
%patch0 -p1
%mvn_file :jboss-jsf-api_2.1_spec %{name}
%mvn_alias :jboss-jsf-api_2.1_spec javax.faces:jsf-api

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE
%doc README

%changelog
* Thu May 26 2022 houyingchao <houyingchao@h-partners.com> - 2.1.29.1-1
- Upgrade to 2.1.29.1

* Sat Aug 1 2020 yanan li <liyanan032@huawei.com> - 2.0.2-1
- Package init
